# -*- rpm-spec -*-
# $Id: motion,v 1.18 2005/04/25 05:07:36 grigory Exp $
%define version 3.2.10
%define svnversion svn20080126

%define branch_point alt0.%svnversion
%define branch M40
%define revision 1

Name: motion
Version: %version
Release: %branch_point.%branch.%revision

Summary: %name - Detect motion using a video4linux device
License: GPL
Group: Video
Url: http://motion.sourceforge.net/

Source0: %url%name-%version-%svnversion.tar.bz2
#Patch0: %name-3.2.9-config.patch
Patch1: %name-3.2.10-configure.patch
Patch2: %name-3.2.10-docdir.patch


BuildPreReq: libMySQL-devel libavformat-devel libjpeg-devel postgresql-devel zlib-devel
BuildPreReq: ffmpeg-devel libmjpegtools-devel

# Automatically added by buildreq on Thu Jan 31 2008
BuildRequires: libMySQL-devel libavformat-devel libjpeg-devel libmjpegtools-devel postgresql-devel zlib-devel

%description
With motion you can use a video4linux device as a motion detector.
It will make snapshots if motion is detected.

%prep
%setup -q
%__subst 's|<postgresql[/]libpq-fe.h>|<pgsql/libpq-fe.h>|' %name.h
%__subst 's|\(if [\\(]cnt->conf\.mysql_db && sqltype[\)]\)|//\1|' event.c
%__subst 's|\(put_mysql[\(]&cnt->conf, cnt->database, filename, tm, sqltype[\)]\)|//\1|' event.c
%__subst 's|\(motion\.conf\)\(\*\)|\1.\2|' Makefile.in
%__subst 's|\(^.*c->quality\).*|//\1|' ffmpeg.c
%__subst 's|\(avformat.h\)|ffmpeg/\1|' ffmpeg.h

#patch -p1
%patch1 -p1
%patch2 -p1

%build
%__autoreconf
%configure --sysconfdir=%_sysconfdir/%name \
	--without-optimizecpu \
	--without-libjpeg-mmx \
	--without-libavcodec

%make_build %{?_smp_mflags}

%install
%makeinstall 

install -d -m 755 %buildroot%_sysconfdir/%name
install -m 644 %buildroot%_sysconfdir/%name-dist.conf %buildroot%_sysconfdir/%name/%name.conf


%files
%doc %attr(0644,root,root) %_defaultdocdir/%name-%version
%config %attr(0644,root,root) %_sysconfdir/%name/%name.conf
%exclude %_sysconfdir/%name-dist.conf
%_bindir/%name
%_man1dir/*

%changelog
* Wed Feb 06 2008 Hihin Ruslan <ruslandh@altlinux.ru> 3.2.10-alt0.svn20080126.M40.1
- version for branch-4.0

* Thu Jan 31 2008 Hihin Ruslan <ruslandh@altlinux.ru> 3.2.10-alt1.svn20080126.1
- add motion-3.2.10-docdir.patch

* Tue Dec 25 2007 Hihin Ruslan <ruslandh@altlinux.ru> 3.2.9-alt2
- add motion-3.2.9-configure.patch

* Sat Dec 22 2007 Hihin Ruslan <ruslandh@altlinux.ru> 3.2.9-alt1
- new version released

* Sat Oct 13 2007 Hihin Ruslan <ruslandh@altlinux.ru> 3.2.8-alt2
- add motion-3.2.8-ffmpeg.patch

* Fri Aug 31 2007 Hihin Ruslan <ruslandh@altlinux.ru> 3.2.8-alt1
- new version released

* Wed Mar 01 2006 Grigory Milev <week@altlinux.ru> 3.2.4-alt1
- new version released

* Thu Nov 24 2005 Kachalov Anton <mouse@altlinux.ru> 3.2.3-alt1
- 3.2.3

* Tue Oct 11 2005 Grigory Milev <week@altlinux.ru> 3.1.19-alt2
- rebuild with new libpg4

* Mon Apr 25 2005 Grigory Milev <week@altlinux.ru> 3.1.19-alt1
- new version released
- return ffmpeg

* Thu Jan 13 2005 Grigory Milev <week@altlinux.ru> 3.1.17-alt2
- temporary off ffmpeg support

* Mon Nov  1 2004 Grigory Milev <week@altlinux.ru> 3.1.17-alt1
- new version released

* Thu Oct 21 2004 ALT QA Team Robot <qa-robot@altlinux.org> 3.1.16-alt1.1
- Rebuilt with libcurl.so.3.

* Thu Sep  9 2004 Grigory Milev <week@altlinux.ru> 3.1.16-alt1
- new version released

* Wed May 12 2004 Grigory Milev <week@altlinux.ru> 3.1.3-alt2
- fix build requires

* Wed Feb 25 2004 Grigory Milev <week@altlinux.ru> 3.1.3-alt1
- new version released

* Tue Nov  4 2003 Grigory Milev <week@altlinux.ru> 3.0.6-alt1
- build new version
- added MySQL support
- added ffmpeg support

* Wed Oct 23 2002 Grigory Milev <week@altlinux.ru> 3.0.4-alt1
- new version released

* Wed May 29 2002 Grigory Milev <week@altlinux.ru>  3.0.0-alt1
- Initial build for ALT Linux distribution.

